* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }
  #main-wrap{
    display: none;
  }
  html {
        font-family: "Microsoft YaHei", "宋体", "Segoe UI", "Lucida Grande", Helvetica, Arial, sans-serif, FreeSans, Arimo;
        -ms-text-size-adjust: 100%;
        -webkit-text-size-adjust: 100%;
        height: 100%;
        font-size: 100px;
    }

    body {
        margin: 0px;
        color: #333;
        -webkit-overflow-scrolling: touch;
        font-size: .14rem;
        background-color: #f8f8f8;
    }
    .main{
        background-color: #A72635;
        border-radius: 0 0 20px 20px;
    }
    .page-loading{
        width: 90px;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    .main-banner{
      width: 100%;
      height: 6.6rem;
      background-image: url("https://media.springairlines.com/style/atymodule/images/Activities20250409/fxtzs-banner.jpg");
      background-repeat: no-repeat;
      background-size: contain;
    }
    .main-entry{
      position: absolute;
      right: 0;
      border-radius: 80px;
      background: rgba(209,26,0,0.7);
      font-size: 12px;
      line-height: 12px;
      padding: 3px 9px;
      border-radius: 12px 0 0 12px;
      color: #fff;
    }
    .rule{
      top: 20px;
    }
    .prize{
      top: 60px;
    }
    .activity-module{
      margin-top: -390px;
    }
    .activity-module .module-title{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 200px;
        background-image: url("https://media.springairlines.com/style/atymodule/images/Activities20250409/fxtzs-title1.png");
        background-repeat: no-repeat;
        background-size: contain;
    }
    .activity-module .module-title .title-name{
        margin-top: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 18px;
        font-weight: bold;
        color: #fff;
        line-height: 1;
    }
    .activity-module .module-title .title-name .icon-fire{
        width: 14px;
        height: 16px;
        margin-right: 5px;
    }
    .activity-module .module-title .title-name .icon-clock{
        width: 18px;
        height: 18px;
        margin-right: 5px;
    }
    .activity-module .module-title .title-name .activity-person{
        margin: 0 5px;
        color: #FDFF7A;
    }
    .activity-module .module-title .activity-deadline{
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 12px;
        line-height: 1;
        color: #fff;
        margin-top: 5px;
    }
    .activity-module .module-title .activity-deadline.mt50{
        margin-top: 50px;
    }
    .activity-module .module-title .activity-deadline .dealline{
        margin-left: 2px;
        color: #FDFF7A;
    }
    .module-box{
        margin-top: -112px;
        background-color: #fff;
        border-radius: 16px;
        box-shadow: 0px 1px 10px 0px rgba(0, 0, 0, 0.05);
        padding: 20px 0 25px 15px;
    }
    .module-box.one-title{
        margin-top: -118px;
    }
    .module-box.less{
        overflow: hidden;
    }
    .module-time{
        /* margin-top: 27px; */
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 12px;
        line-height: 14px;
        color: #666;
    }
    .module-time .fxtzs-time{
        width: 14px;
        height: 14px;
    }
    .module-time .bg-time{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 22px;
        height: 16px;
        margin:0 4px;
        background: linear-gradient(to bottom, #EB3B0B, #FF912B);
        border-radius: 2px;
        font-size: 14px;
        line-height: 14px;
        color: #fff;
    }
    .ml4{
        margin-left: 4px;
    }
    .module-box .activity-tip{
        /* margin-top: 32px; */
        margin-right: 15px;
        font-size: 16px;
        text-align: center;
    }
    .module-box .activity-tip .equity-content{
        color: #FF7043;
    }
    .module-btn{
        display: flex;
        justify-content: center;
        align-items: center;
        height: 45px;
        margin: 15px 15px 0 0;
        background: linear-gradient(90deg, #FFB027 0%, #FF7D27 98%);
        box-shadow: 0 6px 12px rgba(254,148,38,.4);
        font-size: 20px;
        line-height: 1;
        color: #fff;
        border-radius: 8px;
        font-weight: bold;
    }
    .module-btn.disabled{
        background: linear-gradient(90deg, #DEDEDE 0%, #BABABA 98%);
        box-shadow: none;
    }
    .module-btn.white{
        box-sizing: border-box;
        border: 1px solid #F9961F;
        background: #fff;
        box-shadow: none;
        color: #F9961F;
    }
    .guide-module .guide-title{
        display: flex;
        justify-content: space-between;
        width: 100%;
        height: 140px;
        background-image: url("https://media.springairlines.com/style/atymodule/images/Activities20250409/fxtzs-title2.png");
        background-repeat: no-repeat;
        background-size: contain;
        color: #fff;
    }
    .guide-module .guide-title .guide-title-txt{
        padding-top: 26px;
        padding-left: 72px;
        flex: 1;
        font-size: 20px;
        font-weight: bold;
        text-align: center;
    }
    .guide-module .guide-title .more{
        display: flex;
        align-items: center;
        height: 12px;
        padding-top: 40px;
        margin-right: 15px;
        font-size: 12px;
        line-height: 1;
    }
    .guide-module .guide-title .more img{
        display: inline-block;
        width: 6px;
        height: 10px;
        margin-left: 3px;
    }
    .guide-box{
        display: flex;
        justify-content: space-between;
        padding: 35px 15px 15px;
        background-color: #fff;
        border-radius: 16px;
        margin-top: -82px;
    }
    .guide-box .guide-item{
        flex: 1;
        width: 105px;
        height: 140px;
        background: linear-gradient(180deg, #FDF8ED 0%, rgba(255, 229, 199, 0.05) 98%);
        border-radius: 8px;
    }
    .guide-box .guide-item .guide-img{
        width: 33px;
        height: 33px;
        margin-left: 36px;
        margin-top: -16px;
        box-shadow: 0px 2px 6px 0px rgba(249, 150, 31, 0.24);
        border-radius: 50%;
    }
    .guide-box .guide-item .guide-name{
        margin-top: 7px;
        padding: 0 10px;
        font-size: 14px;
        font-weight: bold;
        line-height: 16px;
        color: #333;
    }
    .guide-box .guide-item .guide-content{
        padding: 0 10px;
        margin-top: 4px;
        font-size: 12px;
        line-height: 16px;
        color: #333;
    }
    .guide-box .guide-item .guide-content .green{
        font-weight: bold;
        color: #1FCB94;
        text-decoration: underline;
    }
    .guide-box .guide-arrow{
        padding: 0 4px;
    }
    .guide-box .guide-arrow img{
        width: 12px;
        margin-top: 25px;
    }
    .flight-times{
        position: absolute;
        top: 17px;
        left: -18px;
        padding: 3px 5px;
        font-size: 12px;
        color: #fff;
        line-height: 1;
        background: rgba(0, 0, 0, 0.7);
        white-space: nowrap;
        border-radius: 2px;
    }
    .flight-times:after{
        content: '';
        position: absolute;
        top: -14px;
        left: 14px;
        border-bottom: 8px solid #4D4D4D;
        border-top: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
    }
    .equity-content{
        font-size: 16px;
        color: #FF7043;
    }
    .modal{
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba(0, 0, 0, .5);
        z-index: 100;
    }
    .my-prize-pop{
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: #f8f8f8;
        z-index: 105;
        border-radius: 8px 8px 0 0;
    }
    .my-prize-title{
        position: relative;
        height: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 16px;
        font-weight: bold;
        background: #fff;
        border-radius: 8px 8px 0 0;
    }
    .my-prize-title .icon-close{
        position: absolute;
        top: 6px;
        right: 15px;
        font-size: 24px;
        color: #999;
        font-weight: normal;
        line-height: 1;
    }
    .my-prize-empty{
        margin-top: 90px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    .my-prize-empty .empty-txt{
        margin-top: 18px;
        font-size: 14px;
        color: #666;
    }
    .my-prize-main{
        height: 400px;
        overflow-y: scroll;
    }
    .my-prize-list .my-prize-info{
        margin-top: 10px;
        padding: 15px;
        background: #fff;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .my-prize-list .my-prize-info .img-prize{
        width: 70px;
        height: 50px;
        margin-right: 8px;
        border-radius: 4px;
    }
    .my-prize-list .my-prize-info .my-prize-content{
        flex: 1;
        min-height: 50px;
    }
    .my-prize-list .my-prize-info .my-prize-btn{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80px;
        height: 30px;
        margin-left: 10px;
        border-radius: 4px;
        line-height: 1;
        font-size: 16px;
        color: #fff;
        background: #F9961F;
    }
    .my-prize-content .my-prize-name{
        font-size: 16px;
        line-height: 16px;
        font-weight: bold;
        color: #333;
        line-height: 18px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2; /* 设置为2行 */
        overflow: hidden;
        text-overflow: ellipsis;
        width: 100%; /* 确保有一个固定的宽度 */
    }
    .my-prize-time{
        margin-top: 4px;
        font-size: 12px;
        line-height: 15px;
        color: #666;
    }
    .tip-popup-box, .lvyi-popup-box{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 285px;
        background-color: #fff;
        border-radius: 8px;
    }
    .lvyi-popup-box .lvyi-popup-close{
        position: absolute;
        bottom: -70px;
        left: 50%;
        margin-left: -15px;
    }
    .lvyi-popup-box .lvyi-popup-close img{
        width: 30px;
        height: 30px;
    }
    .tip-popup-img{
        text-align: center;
        margin-top: 20px;
    }
    .tip-popup-img img{
        width: 100px;
        height: 100px;
    }
    .tip-popup-content{
        padding: 0 37px;
        margin-top: 16px;
        display: flex;
        justify-content: center;
    }
    .tip-popup-content p{
        font-size: 14px;
        line-height: 18px;
        text-align: left;
        color: #333;
    }
    .tip-popup-btn{
        margin-top: 18px;
        border-top: 1px solid #E5E5E5;
        height: 45px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 16px;
        line-height: 1;
        color: #1FCB94;
    }
    .my-prize-error{
        background-color: #FFF7DC;
        padding: 7px 15px;
        font-size: 12px;
        line-height: 12px;
        color: #FF7043;
        display: flex;
        align-items: center;
    }
    .my-prize-error img{
        width: 13px;
        height: 13px;
        margin-right: 4px;
    }
    .my-prize-bottom{
        padding-bottom: 20px;
        margin-top: 20px;
        font-size: 12px;
        line-height: 16px;
        color: #999;
        text-align: center;
    }
    .my-prize-bottom span{
        display: inline-block;
        border-bottom: 1px solid #1FCB94;
        color: #1FCB94;
    }
    .lvyi-popup-title{
        margin: 29px 30px 0;
        font-size: 16px;
        line-height: 20px;
        color: #333;
        font-weight: bold;
    }
    .lvyi-popup-btn{
        margin: 0 30px;
    }
    .lvyi-popup-btn .btn{
        position: relative;
        margin-top: 20px;
        width: 100%;
        height: 40px;
        background: linear-gradient(90deg, #4AE199 0%, #3BC1B6 100%);
        border-radius: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 16px;
        line-height: 1;
        color: #FDFDFD;
    }
    .lvyi-popup-bottom{
        margin: 18px 34px 0;
        padding-bottom: 22px;
    }
    .lvyi-popup-bottom .en,  .lvyi-popup-bottom .hk{
        text-decoration: none;
    }
    .lvyi-popup-btn .btn .tag{
        display: flex;
        align-items: center;
        position: absolute;
        right: 0;
        top: -14px;
        height: 16px;
        padding: 0 7px;
        border-radius: 8px 8px 8px 0px;
        background: linear-gradient(78deg, #FE4A4B 10%, #FF7172 89%);
        font-size: 12px;
        line-height: 12px;
        color: #fff;
    }
    .module-toast{
        position: absolute;
        bottom: 200px;
        left: 50%;
        transform: translateX(-50%);
        width: 235px;
        background-color: rgba(0, 0, 0, 0.7);
        padding: 13px 0;
        text-align: center;
        font-size: 14px;
        line-height: 14px;
        color: #fff;
        border-radius: 4px;
        z-index: 200;
        will-change: opacity;
    }
    [class^="fade"] {
        animation-duration: 0.3s;
        animation-fill-mode: both;
    }
	@keyframes anmimation_in {
		0% {
			opacity: 0;
		}
		100% {
			opacity: 1;
		}
	}

	@keyframes anmimation_out {
		0% {
			opacity: 1;
		}
		100% {
			opacity: 0;
		}
	}
    .module-box.pt0{
        padding-top: 0;
    }
    .module-box.pt0 .warm-tip{
        background-color: #FFF7DC;
        border: 2px solid #fff;
        padding: 10px;
        border-radius: 16px 16px 0 0;
        font-size: 12px;
        line-height: 1;
        color: #FF7043;
        margin-left: -16px;
        text-align: center;
        margin-bottom: 5px;
    }
    .task-list .task-item{
        position: relative;
        width: 110px;
        /* height: 120px; */
        padding: 15px 8px 0;
        text-align: center;
        z-index: 10;
    }
    .task-list{
        padding-bottom: 30px;
    }
    .task-list.swiper{
        overflow: auto;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }
    /* Webkit浏览器专用 */
    .task-list.swiper::-webkit-scrollbar {
        display: none;
    }
    .task-list .task-status{
        position: absolute;
        top: 0;
        background: linear-gradient(90deg, #FE4A4B 0%, #FF7374 100%);
        width: 42px;
        height: 15px;
        border-radius: 4px;
        font-size: 12px;
        line-height: 15px;
        color: #fff;
        left: 50%;
        transform: translateX(-50%);
    }
    .task-list .task-status::after{
        content: "";
        position: absolute;
        bottom: -3px;
        left: 50%;
        transform: translateX(-50%);
        border-top: 4px solid #FF7374;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
    }
    .task-count{
        margin-top: 5px;
        font-size: 11px;
        line-height: 11px;
        color: #666;
    }
    .task-prize{
        display: flex;
        justify-content: center;
        margin-top: 3px;
    }
    .task-prize p{
        text-align: left;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;  /* 控制显示行数 */
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 14px;
        line-height: 16px;
        font-weight: bold;
    }
    .task-validity{
        font-size: 10px;
        line-height: 10px;
        /* text-align: center; */
        color: #666;
        margin-top: 2px;
    }
    .task-prize-img{
        width: 32px;
        height: 32px;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        bottom: 0px;
    }
    .task-prize-img.active{
        width: 48px;
        height: 48px;
        bottom: -8px;
    }
    .task-list .swiper-wrapper{
        padding-left: 55px;
        height: auto;
    }
    .task-bar{
        position: absolute;
        bottom: 14px;
        height: 4px;
        background: #FFEECD;
        border-radius: 2px;
        left: 10px;
        width: calc(100% + 10px);
    }
    .task-start{
        position: absolute;
        left: -8px;
        top: 10px;
        font-size: 11px;
        color: #333;
    }
    .task-progress{
        position: absolute;
        top: 0;
        left: 0;
        height: 4px;
        background: #F9961F;
        border-radius: 2px;
    }
    .progress-circle{
        position: absolute;
        left: 0;
        top: -2px;
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background: linear-gradient(180deg, #FFD609 0%, #FF8400 100%);
    }
    .task-progress-count{
        position: absolute;
        left: -15px;
        top: 14px;
        padding: 0 5px;
        display: flex;
        align-items: center;
        height: 18px;
        background: rgba(0, 0, 0, 0.7);
        font-size: 12px;
        color: #fff;
        white-space: nowrap;
        border-radius: 4px;
        z-index: 20;
    }
    .task-progress-count.lastItem{
        left: auto;
        right: -30px;
    }
    .task-progress-count::after{
        content: "";
        position: absolute;
        top: -4px;
        left: 15px;
        border-bottom: 4px solid #4D4D4D;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
    }
    .task-progress-count.lastItem::after{
        left: auto;
        right: 30px;
    }
    .task-list .less{
        position: relative;
        padding-right: 15px;
        display: flex;
        justify-content: center;
    }
    .task-list .less .task-bar{
        /* width: 124px; */
        left: 50%;
        margin-left: -62px;
        /* transform: translateX(-50%); */
    }
    .task-list .less .task-item{
        width: 138px;
    }
    .task-list .less .task-item:first-child{
        margin-left: 138px;
    }
    .task-list .less .task-item:nth-child(2n+1){
        margin-left: 131px;
    }
    .task-list .less .task-progress-count{
        left: -15px;
    }
    .task-list .task-bar.bar3{
        /* width: 320px; */
    }
    .task-list .less .task-bar.bar2{
        /* width: 248px; */
        margin-left: -124px;
    }
    @media screen and (max-width: 414px){
        .task-list {
            margin-left: -10px;
        }
    }